#!/bin/bash

# if run with -s (single) we only run one build per box
[ "$1" == "-s" ] && { shift; SINGLE=true; }

# the tests flavours available
# -B means no test
# -e step : mark a step as exclude (do not run it at all)
# -i step : mark a step as ignore (run it, but keep going if it fails)
# -c default for the tests setup is one myplc
# -c dual has two myplc's - pointing to each other AMs
# -c triangle has three - ditto
# -c sfamesh makes them point to SMs
# -c bignode is to allow one hour for the node to install
# -c config -c sfadebug - turn on sfa debug
# -y pg testing only the pg rspecs

# May 2018: check-initscripts is no longer part of the standard test suite

/root/bin/lbuild-nightly.sh -f f29 -b @DATE@--f29 &
[ -n "$SINGLE" ] && exit
/root/bin/lbuild-nightly.sh -f f27 -b @DATE@--f27 &
/root/bin/lbuild-nightly.sh -f f27 -b @DATE@--f27-py3 plcapi-GITPATH=git://git.onelab.eu/plcapi.git@python3 pyplnet-GITPATH=git://git.onelab.eu/pyplnet.git@python3 tests-GITPATH=git://git.onelab.eu/tests.git@python3 &

### sfa from stable
# fedora=f25; branch=noslicemgr; name=${branch}
#/root/bin/lbuild-nightly.sh -f $fedora -b @DATE@--${fedora}-${name}  sfa-GITPATH=git://git.onelab.eu/sfa.git@${branch} &
#/root/bin/lbuild-nightly.sh -f f27 sfa-GITPATH=git://git.onelab.eu/sfa.git@master tests-GITPATH=git://git.onelab.eu/tests.git@master -b @DATE@--f27-sfa &


exit # END - for my-builds

########## oldies
